<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
    android:id="@+id/llRowRoot"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/rlRowBody"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:id="@+id/llRowBody"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:paddingBottom="20dp"
            android:paddingLeft="15dp"
            android:paddingRight="15dp"
            android:paddingTop="25dp">


            <com.ntels.kneet.v2.common.widget.CircleImageView
                android:id="@+id/ivRowIcon"
                android:layout_width="75dp"
                android:layout_height="75dp"
                app:civ_border_color="@color/Translucent"
                app:civ_border_width="0dp"/>


            <TextView
                android:id="@+id/tvRowTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="7dp"
                android:ellipsize="end"
                android:gravity="center_horizontal"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="asdfasdf"
                android:textColor="@color/color_text_01"
                android:textSize="@dimen/size_font_04"/>

            <LinearLayout
                android:id="@+id/llRowControl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:minHeight="35dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvRowControl"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    android:ellipsize="end"
                    android:gravity="center_horizontal"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:text=""
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_03"
                    android:textStyle="bold"/>

                <LinearLayout
                    android:id="@+id/llRowControlBtn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:visibility="visible">

                    <View
                        android:id="@+id/vEmp1"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_horizontal"/>

                    <Button
                        android:id="@+id/btnRowControl"
                        android:layout_width="45dp"
                        android:layout_height="35dp"
                        android:layout_marginRight="5dp"
                        android:background="@drawable/img_things_list_btn_onoff_off"/>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llRowDelete"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:minHeight="35dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/ivRowDelete"
                    android:layout_width="45dp"
                    android:layout_height="35dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/d_img_things_list_btn_delete"
                    android:duplicateParentState="true"/>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llRowOffline"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:minHeight="35dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    android:id="@+id/tvRowOffline"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:gravity="center_horizontal"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:text="@string/layout_offline"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_03"
                    android:textStyle="bold"/>
            </LinearLayout>
        </LinearLayout>

        <ImageView
            android:id="@+id/ivCheck"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginLeft="15dp"
            android:layout_marginTop="15dp"
            android:background="@drawable/d_common_checkbox"
            android:visibility="gone"/>

        <LinearLayout
            android:id="@+id/llLoading"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignBottom="@+id/llRowBody"
            android:layout_alignLeft="@+id/llRowBody"
            android:layout_alignRight="@+id/llRowBody"
            android:layout_alignTop="@+id/llRowBody"
            android:background="@drawable/common_bg_alpha_85_w"
            android:gravity="center">

            <ProgressBar
                android:id="@+id/progressLoading"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:indeterminateDrawable="@drawable/d_things_run_loading"
                android:indeterminateDuration="100"/>
        </LinearLayout>
    </RelativeLayout>
</LinearLayout>